curl --request POST \
--url https://{defaultHost}/v1/balance_transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"balance_transaction": {
"amount": 5000,
"currency": "usd",
"customer": "6cfb70ff-f83e-4453-af42-37cfab0ad32d"
}
}
'import requests
url = "https://{defaultHost}/v1/balance_transactions"
payload = { "balance_transaction": {
"amount": 5000,
"currency": "usd",
"customer": "6cfb70ff-f83e-4453-af42-37cfab0ad32d"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
balance_transaction: {
amount: 5000,
currency: 'usd',
customer: '6cfb70ff-f83e-4453-af42-37cfab0ad32d'
}
})
};
fetch('https://{defaultHost}/v1/balance_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b94aa842-6252-49ed-ae07-16c2989940a7",
"object": "balance_transaction",
"amount": 5000,
"currency": "usd",
"ending_balance_amount": 5000,
"transaction_type": "adjustment",
"balance": "268e9d11-80b3-442f-91d8-ad328f17ffec",
"customer": "6cfb70ff-f83e-4453-af42-37cfab0ad32d",
"checkout": null,
"created_at": 1782485805,
"updated_at": 1782485805
}Create
Creates a new balance transaction.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Response
Success
The UUID of the specific object.
A string describing the object type returned.
The amount of the transaction. A negative value is a credit for the customer’s balance, and a positive value is a debit to the customer’s balance.
Three-letter ISO currency code, in lowercase.
Expandable – The associated balance ID.
Expandable – The associated customer ID.
The balance amount after the transaction was applied.
Expandable – The associated checkout ID.
One of either adjustment, applied_to_checkout, checkout_below_currency_minimum, or checkout_credit. Balance transactions created through the API are always adjustment transactions.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?